Catmandu::Importer::DKVP(3pm)

NAME
Catmandu::Importer::DKVP - Delimited key-value pairs importer

DESCRIPTION
This package imports text files containing delimited key-value pairs.

    a=pan,b=pan,i=1,x=0.3467901443380824,y=0.7268028627434533
    a=eks,b=pan,i=2,x=0.7586799647899636,y=0.5221511083334797
    a=wye,b=wye,i=3,x=0.20460330576630303,y=0.33831852551664776

CONFIGURATION

sep_char
    The character that separates fields. Default is ",".

pair_sep_char
    The character that separates key-value pairs. Default is "=".

METHODS
Every Catmandu::Importer is a Catmandu::Iterable. All their methods are inherited.

SEE ALSO
Miller <http://johnkerl.org/miller/doc/file-formats.html#DKVP:_Key-value_pairs>